=== modified file 'application-job.c'
--- application-job.c	2014-02-10 03:49:08 +0000
+++ application-job.c	2014-04-30 16:34:06 +0000
@@ -18,7 +18,7 @@
  */
 
 #include <gio/gio.h>
-#include "libupstart-app-launch/upstart-app-launch.h"
+#include "libubuntu-app-launch/ubuntu-app-launch.h"
 
 int retval = 0;
 const gchar * global_appid;
@@ -42,7 +42,7 @@
 }
 
 static void
-app_failed (const gchar * appid, upstart_app_launch_app_failed_t failure_type, gpointer user_data)
+app_failed (const gchar * appid, UbuntuAppLaunchAppFailed failure_type, gpointer user_data)
 {
 	if (g_strcmp0(appid, global_appid) != 0)
 		return;
@@ -87,14 +87,14 @@
 
 	GMainLoop * mainloop = g_main_loop_new(NULL, FALSE);
 
-	upstart_app_launch_observer_add_app_started(app_started, mainloop);
-	upstart_app_launch_observer_add_app_focus(app_focus, mainloop);
-	upstart_app_launch_observer_add_app_failed(app_failed, mainloop);
+	ubuntu_app_launch_observer_add_app_started(app_started, mainloop);
+	ubuntu_app_launch_observer_add_app_focus(app_focus, mainloop);
+	ubuntu_app_launch_observer_add_app_failed(app_failed, mainloop);
 
 	guint timer = g_timeout_add_seconds(1, timeout_check, mainloop);
 
 	g_debug("Start Application: %s", global_appid);
-	g_return_val_if_fail(upstart_app_launch_start_application(global_appid, (const gchar * const *)uris), -1);
+	g_return_val_if_fail(ubuntu_app_launch_start_application(global_appid, (const gchar * const *)uris), -1);
 	g_strfreev(uris);
 
 	g_debug("Wait for results");
@@ -102,9 +102,9 @@
 
 	g_source_remove(timer);
 
-	upstart_app_launch_observer_delete_app_started(app_started, mainloop);
-	upstart_app_launch_observer_delete_app_focus(app_focus, mainloop);
-	upstart_app_launch_observer_delete_app_failed(app_failed, mainloop);
+	ubuntu_app_launch_observer_delete_app_started(app_started, mainloop);
+	ubuntu_app_launch_observer_delete_app_focus(app_focus, mainloop);
+	ubuntu_app_launch_observer_delete_app_failed(app_failed, mainloop);
 
 	g_main_loop_unref(mainloop);
 	g_object_unref(con);

=== modified file 'libubuntu-app-launch/ubuntu-app-launch.c'
--- libubuntu-app-launch/ubuntu-app-launch.c	2014-04-30 15:45:23 +0000
+++ libubuntu-app-launch/ubuntu-app-launch.c	2014-04-30 16:34:06 +0000
@@ -461,7 +461,7 @@
 struct _observer_t {
 	GDBusConnection * conn;
 	guint sighandle;
-	ubuntu_app_launch_app_observer_t func;
+	UbuntuAppLaunchAppObserver func;
 	gpointer user_data;
 };
 
@@ -470,7 +470,7 @@
 struct _failed_observer_t {
 	GDBusConnection * conn;
 	guint sighandle;
-	ubuntu_app_launch_app_failed_observer_t func;
+	UbuntuAppLaunchAppFailedObserver func;
 	gpointer user_data;
 };
 
@@ -533,7 +533,7 @@
 /* Creates the observer structure and registers for the signal with
    GDBus so that we can get a callback */
 static gboolean
-add_app_generic (ubuntu_app_launch_app_observer_t observer, gpointer user_data, const gchar * signal, GList ** list)
+add_app_generic (UbuntuAppLaunchAppObserver observer, gpointer user_data, const gchar * signal, GList ** list)
 {
 	GDBusConnection * conn = gdbus_upstart_ref();
 
@@ -564,13 +564,13 @@
 }
 
 gboolean
-ubuntu_app_launch_observer_add_app_started (ubuntu_app_launch_app_observer_t observer, gpointer user_data)
+ubuntu_app_launch_observer_add_app_started (UbuntuAppLaunchAppObserver observer, gpointer user_data)
 {
 	return add_app_generic(observer, user_data, "started", &started_array);
 }
 
 gboolean
-ubuntu_app_launch_observer_add_app_stop (ubuntu_app_launch_app_observer_t observer, gpointer user_data)
+ubuntu_app_launch_observer_add_app_stop (UbuntuAppLaunchAppObserver observer, gpointer user_data)
 {
 	return add_app_generic(observer, user_data, "stopped", &stop_array);
 }
@@ -578,7 +578,7 @@
 /* Creates the observer structure and registers for the signal with
    GDBus so that we can get a callback */
 static gboolean
-add_session_generic (ubuntu_app_launch_app_observer_t observer, gpointer user_data, const gchar * signal, GList ** list, GDBusSignalCallback session_cb)
+add_session_generic (UbuntuAppLaunchAppObserver observer, gpointer user_data, const gchar * signal, GList ** list, GDBusSignalCallback session_cb)
 {
 	GDBusConnection * conn = g_bus_get_sync(G_BUS_TYPE_SESSION, NULL, NULL);
 
@@ -626,7 +626,7 @@
 }
 
 gboolean
-ubuntu_app_launch_observer_add_app_focus (ubuntu_app_launch_app_observer_t observer, gpointer user_data)
+ubuntu_app_launch_observer_add_app_focus (UbuntuAppLaunchAppObserver observer, gpointer user_data)
 {
 	return add_session_generic(observer, user_data, "UnityFocusRequest", &focus_array, focus_signal_cb);
 }
@@ -657,7 +657,7 @@
 }
 
 gboolean
-ubuntu_app_launch_observer_add_app_resume (ubuntu_app_launch_app_observer_t observer, gpointer user_data)
+ubuntu_app_launch_observer_add_app_resume (UbuntuAppLaunchAppObserver observer, gpointer user_data)
 {
 	return add_session_generic(observer, user_data, "UnityResumeRequest", &resume_array, resume_signal_cb);
 }
@@ -688,7 +688,7 @@
 }
 
 gboolean
-ubuntu_app_launch_observer_add_app_starting (ubuntu_app_launch_app_observer_t observer, gpointer user_data)
+ubuntu_app_launch_observer_add_app_starting (UbuntuAppLaunchAppObserver observer, gpointer user_data)
 {
 	return add_session_generic(observer, user_data, "UnityStartingBroadcast", &starting_array, starting_signal_cb);
 }
@@ -704,7 +704,7 @@
 	tracepoint(ubuntu_app_launch, observer_start, "failed");
 
 	if (observer->func != NULL) {
-		ubuntu_app_launch_app_failed_t type = UBUNTU_APP_LAUNCH_APP_FAILED_CRASH;
+		UbuntuAppLaunchAppFailed type = UBUNTU_APP_LAUNCH_APP_FAILED_CRASH;
 		g_variant_get(params, "(&s&s)", &appid, &typestr);
 
 		if (g_strcmp0("crash", typestr) == 0) {
@@ -722,7 +722,7 @@
 }
 
 gboolean
-ubuntu_app_launch_observer_add_app_failed (ubuntu_app_launch_app_failed_observer_t observer, gpointer user_data)
+ubuntu_app_launch_observer_add_app_failed (UbuntuAppLaunchAppFailedObserver observer, gpointer user_data)
 {
 	GDBusConnection * conn = g_bus_get_sync(G_BUS_TYPE_SESSION, NULL, NULL);
 
@@ -753,7 +753,7 @@
 }
 
 static gboolean
-delete_app_generic (ubuntu_app_launch_app_observer_t observer, gpointer user_data, GList ** list)
+delete_app_generic (UbuntuAppLaunchAppObserver observer, gpointer user_data, GList ** list)
 {
 	observer_t * observert = NULL;
 	GList * look;
@@ -780,37 +780,37 @@
 }
 
 gboolean
-ubuntu_app_launch_observer_delete_app_started (ubuntu_app_launch_app_observer_t observer, gpointer user_data)
+ubuntu_app_launch_observer_delete_app_started (UbuntuAppLaunchAppObserver observer, gpointer user_data)
 {
 	return delete_app_generic(observer, user_data, &started_array);
 }
 
 gboolean
-ubuntu_app_launch_observer_delete_app_stop (ubuntu_app_launch_app_observer_t observer, gpointer user_data)
+ubuntu_app_launch_observer_delete_app_stop (UbuntuAppLaunchAppObserver observer, gpointer user_data)
 {
 	return delete_app_generic(observer, user_data, &stop_array);
 }
 
 gboolean
-ubuntu_app_launch_observer_delete_app_resume (ubuntu_app_launch_app_observer_t observer, gpointer user_data)
+ubuntu_app_launch_observer_delete_app_resume (UbuntuAppLaunchAppObserver observer, gpointer user_data)
 {
 	return delete_app_generic(observer, user_data, &resume_array);
 }
 
 gboolean
-ubuntu_app_launch_observer_delete_app_focus (ubuntu_app_launch_app_observer_t observer, gpointer user_data)
+ubuntu_app_launch_observer_delete_app_focus (UbuntuAppLaunchAppObserver observer, gpointer user_data)
 {
 	return delete_app_generic(observer, user_data, &focus_array);
 }
 
 gboolean
-ubuntu_app_launch_observer_delete_app_starting (ubuntu_app_launch_app_observer_t observer, gpointer user_data)
+ubuntu_app_launch_observer_delete_app_starting (UbuntuAppLaunchAppObserver observer, gpointer user_data)
 {
 	return delete_app_generic(observer, user_data, &starting_array);
 }
 
 gboolean
-ubuntu_app_launch_observer_delete_app_failed (ubuntu_app_launch_app_failed_observer_t observer, gpointer user_data)
+ubuntu_app_launch_observer_delete_app_failed (UbuntuAppLaunchAppFailedObserver observer, gpointer user_data)
 {
 	failed_observer_t * observert = NULL;
 	GList * look;

=== modified file 'tests/failure-test.cc'
--- tests/failure-test.cc	2014-04-30 16:18:29 +0000
+++ tests/failure-test.cc	2014-04-30 16:34:06 +0000
@@ -61,7 +61,7 @@
 };
 
 static void
-failed_observer (const gchar * appid, ubuntu_app_launch_app_failed_t reason, gpointer user_data)
+failed_observer (const gchar * appid, UbuntuAppLaunchAppFailed reason, gpointer user_data)
 {
 	if (reason == UBUNTU_APP_LAUNCH_APP_FAILED_CRASH) {
 		std::string * last = static_cast<std::string *>(user_data);
@@ -121,7 +121,7 @@
 }
 
 static void
-failed_start_observer (const gchar * appid, ubuntu_app_launch_app_failed_t reason, gpointer user_data)
+failed_start_observer (const gchar * appid, UbuntuAppLaunchAppFailed reason, gpointer user_data)
 {
 	if (reason == UBUNTU_APP_LAUNCH_APP_FAILED_START_FAILURE) {
 		std::string * last = static_cast<std::string *>(user_data);

=== modified file 'tests/libual-test.cc'
--- tests/libual-test.cc	2014-04-30 16:18:29 +0000
+++ tests/libual-test.cc	2014-04-30 16:34:06 +0000
@@ -868,7 +868,7 @@
 }
 
 static void
-failed_observer (const gchar * appid, ubuntu_app_launch_app_failed_t reason, gpointer user_data)
+failed_observer (const gchar * appid, UbuntuAppLaunchAppFailed reason, gpointer user_data)
 {
 	if (reason == UBUNTU_APP_LAUNCH_APP_FAILED_CRASH) {
 		std::string * last = static_cast<std::string *>(user_data);

=== modified file 'tools/ubuntu-app-launch.c'
--- tools/ubuntu-app-launch.c	2014-04-30 16:05:08 +0000
+++ tools/ubuntu-app-launch.c	2014-04-30 16:34:06 +0000
@@ -35,7 +35,7 @@
 }
 
 static void
-bad_observer (const gchar * appid, ubuntu_app_launch_app_failed_t failure_type, gpointer user_data)
+bad_observer (const gchar * appid, UbuntuAppLaunchAppFailed failure_type, gpointer user_data)
 {
 	if (g_strcmp0(appid, global_appid) != 0) {
 		return;

=== modified file 'tools/ubuntu-app-watch.c'
--- tools/ubuntu-app-watch.c	2014-04-30 16:05:08 +0000
+++ tools/ubuntu-app-watch.c	2014-04-30 16:34:06 +0000
@@ -55,7 +55,7 @@
 }
 
 void
-fail (const gchar * appid, ubuntu_app_launch_app_failed_t failhow, gpointer user_data)
+fail (const gchar * appid, UbuntuAppLaunchAppFailed failhow, gpointer user_data)
 {
 	const gchar * failstr = "unknown";
 	switch (failhow) {

=== modified file 'untrusted-helper-type-end.c'
--- untrusted-helper-type-end.c	2014-02-05 21:01:45 +0000
+++ untrusted-helper-type-end.c	2014-04-30 16:34:06 +0000
@@ -17,7 +17,7 @@
  *     Ted Gould <ted.gould@canonical.com>
  */
 
-#include "libupstart-app-launch/upstart-app-launch.h"
+#include "libubuntu-app-launch/ubuntu-app-launch.h"
 #include <gio/gio.h>
 
 int
@@ -28,7 +28,7 @@
 	GDBusConnection * con = g_bus_get_sync(G_BUS_TYPE_SESSION, NULL, NULL);
 	g_return_val_if_fail(con != NULL, -1);
 
-	gchar ** appids = upstart_app_launch_list_helpers(type);
+	gchar ** appids = ubuntu_app_launch_list_helpers(type);
 	if (appids == NULL) {
 		g_warning("Error getting App IDs for helper type '%s'", argv[1]);
 		return -1;
@@ -36,19 +36,19 @@
 
 	int i;
 	for (i = 0; appids[i] != NULL; i++) {
-		gchar ** instances = upstart_app_launch_list_helper_instances(type, appids[i]);
+		gchar ** instances = ubuntu_app_launch_list_helper_instances(type, appids[i]);
 		guint instance_cnt = g_strv_length(instances);
 
 		if (instance_cnt == 0) {
 			g_debug("Stopping %s", appids[i]);
-			if (!upstart_app_launch_stop_helper(type, appids[i])) {
+			if (!ubuntu_app_launch_stop_helper(type, appids[i])) {
 				g_warning("Unable to stop '%s'", appids[i]);
 			}
 		} else {
 			int j;
 			for (j = 0; j < instance_cnt; j++) {
 				g_debug("Stopping %s (%s)", appids[i], instances[j]);
-				if (!upstart_app_launch_stop_multiple_helper(type, appids[i], instances[j])) {
+				if (!ubuntu_app_launch_stop_multiple_helper(type, appids[i], instances[j])) {
 					g_warning("Unable to stop '%s' instance '%s'", appids[i], instances[j]);
 				}
 			}

